package de.jaujau.UnitTests;



import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import de.jaujau.daten.Audio;

class TEST_Audio {

	Audio sound;
	
	@BeforeEach
	void setUp() throws Exception {
		sound = new Audio();
	}

	@Test
	void test() {
		//Test Sound in einem eigenen Thread abspielen
		sound.spieleJau();
		//um das Programm zu beschäftigen
		for(int i = 0; i < 500000; i++) {
			System.out.println(i);
		}
		
		//Test Sound in einem eigenen Thread abspielen
		sound.spieleJauJau();
		//um das Programm zu beschäftigen
		for(int i = 0; i < 500000; i++) {
			System.out.println(i);
		}

	}

}
